%define     anolis_release 4

%bcond_with testsuite

Name:		        iniparser
Version:	        4.1
Release:	        %{anolis_release}%{?dist}
Summary:	        C library for parsing "INI-style" files
License:	        MIT
URL:		        https://github.com/ndevilla/%{name}
Source0:	        https://github.com/ndevilla/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz
Patch0:                 iniparser-4.1-CVE-2023-33461.patch

BuildRequires:	    gcc gcc-c++ make autoconf

%description
iniParser is a simple C library offering ini file parsing services. The library 
is pretty small (less than 1500 lines of C) and robust, and does not depend on 
any other external library to compile. It is written in ANSI C and should compile 
on most platforms without difficulty.


%package devel
Summary:	Header files, libraries and development documentation for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for iniparser. If you like to develop programs using iniparser,
you will need to install iniparser-devel.


%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation files for iniparser.


%prep
%autosetup -p1

%build
for str in 's|-Wl,-rpath -Wl,/usr/lib||g' 's|-Wl,-rpath,/usr/lib||g' 's|^CFLAGS|CFLAGS = %{optflags} -fPIC\nNOCFLAGS|'
do
    sed -i "$str" Makefile
done
%make_build

%install
install -d %{buildroot}%{_includedir}/%{name} %{buildroot}%{_libdir}
install -m 0644 -p src/dictionary.h src/iniparser.h %{buildroot}%{_includedir}/%{name}
ln -s %{name}/dictionary.h %{buildroot}%{_includedir}/dictionary.h
ln -s %{name}/iniparser.h %{buildroot}%{_includedir}/iniparser.h
install -m 0755 -p libiniparser.so.1 %{buildroot}%{_libdir}/
ln -s libiniparser.so.1 %{buildroot}%{_libdir}/libiniparser.so

%if %{with testsuite}
%check
make
make check
./test/iniexample
./test/parse test/twisted.ini
%endif

%generate_compatibility_deps

%files
%dir %{abidir}
%{_libdir}/libiniparser.so.1
%{abidir}/lib%{name}.dump
%{!?_licensedir:%global license %%doc}
%license LICENSE

%files devel
%{_libdir}/libiniparser.so
%{_includedir}/%{name}
%{_includedir}/*.h
%{!?_licensedir:%global license %%doc}
%license LICENSE


%files doc
%doc README.md INSTALL FAQ-en.md FAQ-zhcn.md AUTHORS 

%changelog
* Sun Oct 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.1-4
- Fix for CVE-2023-33461

* Thu Apr 13 2023 chen_yu_ao <m15927509890@163.com> - 4.1-3
- change spec file format

* Tue Feb 14 2023 yuanhui <yuanhui@linux.alibaba.com> - 4.1-2
- add doc and abi files

* Fri Apr 15 2022 yuanhui <yuanhui@linux.alibaba.com> - 4.1-1
- Init iniparser for anolis os 23
